Bug 521460 - wrong page size for A3/A5
Summary: wrong page size for A3/A5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-06 07:32 UTC by Jean-Jacques Sarton
Modified: 2009-11-18 14:10 UTC (History)
3 users (show)

Fixed In Version: 3.1.1-19.8.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-18 14:10:00 UTC


Attachments (Terms of Use)

Description Jean-Jacques Sarton 2009-09-06 07:32:19 UTC
Wrong A5 page size 


Openoffice 3.1.1


launch oowriter, click format -> page and select A5/A3

Apparently the page size in cm for A5 and A3 are wrong.
The size set for A3 correspond to A5
The size set for A5 corresponf to A3

Comment 1 David Tardon 2009-09-07 05:27:34 UTC
Okay in default english l10n, wrong in czech and german ones (and possibly in others, too).

Comment 2 David Tardon 2009-09-07 06:35:36 UTC
The problem is that if a l10n different from default is used, just the labels in the listbox are changed, but the page dimensions stay the same. I.e.
    A5--A4--A3--B6 (ISO)--B5 (ISO)--B4 (ISO)--Letter--Legal--...
in english l10n becomes
    A3--A4--A5--B4 (ISO)--B5 (ISO)--B6 (ISO)--B4 (JIS)--B5 (JIS)--...
in czech l10n.

Comment 3 Caolan McNamara 2009-09-07 07:46:32 UTC
Hmm, so the localize.sdf in svx/source/dialog works on an indexed basis to the (now rearranged) strings of RID_SVXSTRARY_PAPERSIZE_STD

Comment 4 David Tardon 2009-09-07 12:11:45 UTC
Fixed workspace.unifypaper01.patch checked in, will be in >=3.1.1-19.3 for F-11 and in >=3.1.1-19.6 for Rawhide.

Comment 5 Fedora Update System 2009-09-09 12:48:58 UTC
openoffice.org-3.1.1-19.3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.3.fc11

Comment 6 Fedora Update System 2009-09-10 03:49:16 UTC
openoffice.org-3.1.1-19.3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9461

Comment 7 Fedora Update System 2009-09-24 08:01:07 UTC
openoffice.org-3.1.1-19.4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.4.fc11

Comment 8 Fedora Update System 2009-09-25 20:06:30 UTC
openoffice.org-3.1.1-19.4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9921

Comment 9 Dominic Hopf 2009-10-18 18:14:23 UTC
Can reproduce this issue with openoffice.org-3.1.1-19.2.fc11.x86_64, waiting for update. Anyway this issue can not be reproduced with OpenOffice.org 3.1.1 vanilla, but with OpenOffice.org 3.2 beta. Were there some backported changes from that?

I've opened an issue at the OpenOffice.org tracker at [1] for the 3.2 beta. David, if your fix would also apply on the vanilla OpenOffice.org version, would you like to comment there and commit your patch?

Regards,
Dominic


[1] http://qa.openoffice.org/issues/show_bug.cgi?id=106008

Comment 10 Caolan McNamara 2009-10-18 19:23:31 UTC
Vanilla 3.2 beta will be fixed as soon as any of the updated translations are applied.

Fedora 3.1.1 should be good in pending update >= 3.1.1-19.3

Comment 11 David Tardon 2009-10-19 06:35:57 UTC
I've temporarily reverted the change in ordering of the page sizes' list in 3.2.0-2.3.fc13 . We should wait for updated translations before re-enabling it.

Comment 12 Fedora Update System 2009-10-29 08:46:47 UTC
openoffice.org-3.1.1-19.5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.5.fc11

Comment 13 Fedora Update System 2009-11-04 12:20:20 UTC
openoffice.org-3.1.1-19.5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10957

Comment 14 Fedora Update System 2009-11-07 12:59:07 UTC
openoffice.org-3.1.1-19.7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.7.fc11

Comment 15 Fedora Update System 2009-11-10 17:57:22 UTC
openoffice.org-3.1.1-19.7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11295

Comment 16 Fedora Update System 2009-11-17 11:10:45 UTC
openoffice.org-3.1.1-19.8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.8.fc11

Comment 17 Fedora Update System 2009-11-18 14:09:30 UTC
openoffice.org-3.1.1-19.8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.